org.apache.ode.axis2

## Class ODEConfigProperties

- java.lang.Object
- - org.apache.ode.il.config.OdeConfigProperties
  - - org.apache.ode.axis2.ODEConfigProperties

-     public class ODEConfigProperties
      extends OdeConfigProperties

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.ode.il.config.OdeConfigProperties

      `OdeConfigProperties.DatabaseMode`

  - ### Field Summary

    - ### Fields inherited from class org.apache.ode.il.config.OdeConfigProperties

      `DEFAULT_TX_FACTORY_CLASS_NAME, PROP_CONNECTOR_NAME, PROP_CONNECTOR_PORT, PROP_DAOCF, PROP_DB_EMBEDDED_NAME, PROP_DB_EXTERNAL_DS, PROP_DB_INTERNAL_DRIVER, PROP_DB_INTERNAL_PASSWORD, PROP_DB_INTERNAL_URL, PROP_DB_INTERNAL_USER, PROP_DB_LOGGING, PROP_DB_MODE, PROP_DB_POOL_BLOCKING, PROP_DEPLOY_DIR, PROP_EVENT_LISTENERS, PROP_MEX_INMEM_TTL, PROP_MEX_INTERCEPTORS, PROP_MIGRATION_TRANSACTION_TIMEOUT, PROP_POOL_MAX, PROP_POOL_MIN, PROP_PROCESS_DEHYDRATION, PROP_PROCESS_DEHYDRATION_MAXIMUM_AGE, PROP_PROCESS_DEHYDRATION_MAXIMUM_COUNT, PROP_PROCESS_HYDRATION_LAZY, PROP_PROCESS_HYDRATION_LAZY_MINIMUM_SIZE, PROP_PROCESS_HYDRATION_THROTTLED_MAXIMUM_COUNT, PROP_PROCESS_HYDRATION_THROTTLED_MAXIMUM_SIZE, PROP_PROCESS_INSTANCE_THROTTLED_MAXIMUM_COUNT, PROP_THREAD_POOL_SIZE, PROP_TX_FACTORY_CLASS, PROP_WORKING_DIR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ODEConfigProperties(java.io.File installRoot)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.ode.il.config.OdeConfigProperties

      `getConnectorName, getConnectorPort, getDAOConnectionFactory, getDbDataSource, getDbEmbeddedName, getDbIntenralJdbcUrl, getDbInternalJdbcDriverClass, getDbInternalMCFClass, getDbInternalMCFProperties, getDbInternalPassword, getDbInternalUserName, getDbMode, getDehydrationMaximumAge, getDehydrationMaximumCount, getDeployDir, getEventListeners, getFile, getHydrationLazyMinimumSize, getInMemMexTtl, getInstanceThrottledMaximumCount, getMessageExchangeInterceptors, getMigrationTransactionTimeout, getPoolBlocking, getPoolMaxSize, getPoolMinSize, getProcessThrottledMaximumCount, getProcessThrottledMaximumSize, getProperties, getProperty, getProperty, getThreadPoolMaxSize, getTxFactoryClass, getWorkingDir, isDbLoggingEnabled, isDehydrationEnabled, isHydrationLazy, isProcessSizeThrottled, load`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ODEConfigProperties

          public ODEConfigProperties(java.io.File installRoot)